Subject: Re: bug#77326: [PATCH] Add symbol-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Apr 2025 11:54:33 +0300

> Cc: Gabriel Santos <[email-masked]>
> From: Gabriel Santos <[email-masked]>
> Date: Thu, 27 Mar 2025 19:44:21 -0300
> 
> Greetings,
> 
> This patch provides a new package for interacting with symbols, based on
> the current word commands and the built-in package "subword".
> 
> A minor mode that replaces the word commands is also provided, also
> inspired by the subword package, but additionally on the usage of
> defvar-keymap I made in a PR I opened for the puni package[1].
> 
> - Points of discussion
> 
> Would the mention of this mode be a good addition to the documentation?
> 
> I don't know how to contribute to the docs, but I would look into doing
> so if you think it's a good idea
> 
> [1] <https://github.com/AmaiKinono/puni/pull/75>
> 
> P.S.: This is being sent from a different e-mail from the patch because
> my e-mail provider, viz. Disroot, is having issues with spam, and that
> was blocking my messages, so I decided to create a Gmail account to go
> around that.

Thanks.

Any comments to the patch, or objections to adding this mode to Emacs?